// app.js
App({
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)

    // 登录
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
      }
    })
  },

  onShow() {
    if (getCurrentPages().length != 0) {
      console.log(getCurrentPages().length)
      wx.reLaunch({
        url: '/pages/init/init',
      })
    }

  },
  globalData: {
    userInfo: null
  },
  BLEInformation: {
    platform: "",
    deviceId: "",
    writeCharaterId: "",
    writeServiceId: "",
    notifyCharaterId: "",
    notifyServiceId: "",
    readCharaterId: "",
    readServiceId: "",
  },
  WIFIInformation: {
    SSID: "",
    PWD: "",
  },
  getPlatform: function () { //获取客户端平台
    return wx.getSystemInfoSync()["platform"]
  },
  isGetlocation(cb) {
    var that = this
    wx.getSetting({
      success(res) {
        //这里判断是否有地位权限
        if (!res.authSetting['scope.userLocation']) {
          wx.showModal({
            title: '提示',
            content: '请求获取位置权限',
            success: function (res) {
              if (res.confirm == false) {
                return false;
              }
              wx.openSetting({
                success(res) {
                  //如果再次拒绝则返回页面并提示
                  if (!res.authSetting['scope.userLocation']) {
                    wx.showToast({
                      title: '此功能需获取位置信息，请重新设置',
                      duration: 3000,
                      icon: 'none'
                    })
                  } else {
                    //允许授权，调用地图
                    cb() // 回调地址
                  }
                }
              })
            }
          })
        } else {
          //如果硬件没有授权提授权
          wx.showModal({
            title: '您手机定位功能没有开启',
            content: '请在系统设置中打开定位服务',
            success() {
              // 跳到首页 按需操作
            }
          })
        }
      }
    })
  },
})